Bug 1003082 - fedora 19 xfce spin lacks network connection capability
fedora 19 xfce spin lacks network connection capability
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 13:52 EDT by mordred
Modified: 2015-02-18 06:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from rpm -qa (35.13 KB, text/plain)
2013-08-31 16:32 EDT, mordred
no flags Details

  None (edit)
Description mordred 2013-08-30 13:52:33 EDT
Description of problem:

Fedora-Live-XFCE-x86_64-19-1.iso
size: 651165696 

this spin installs a system that contains no desktop accessible way to make a network connection.

the only software relevant to networking shown on the desktop is
  applications - settings - network connections

the latter shows the machine ethernet port:

  - ethernet
    snp2s0     never

however there is no way shown enabling to make a network connection.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install fedora from named spin on x86_64 machine.
2. inspect menu choices on desktop.

Actual results:
network manager or other network connection capability is missing.

Expected results:
presence of some way to access the network manager or other network connection capability from the desktop.

Additional info:
Comment 1 Kevin Fenzi 2013-08-30 14:37:29 EDT
NetworkManager is included. 

Can you provide output from: 

rpm -q NetworkManager
and
journalctl -b -u NetworkManager
Comment 2 mordred 2013-08-31 16:32:53 EDT
Created attachment 792484 [details]
output from rpm -qa
Comment 3 mordred 2013-08-31 16:37:25 EDT
$ rpm -q NetworkManager
NetworkManager-0.9.8.2-2.fc19.x86_64

$ # here no network cable is plugged in
$ journalctl -b -u NetworkManager

-- Logs begin at Thu 2013-08-22 15:44:30 BST, end at Sat 2013-08-31 15:39:22 BST. --
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> NetworkManager (version 0.9.8.2-2.fc19) is starting...
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> WEXT support is enabled
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-enp2s0 ...
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: ifcfg-rh:     read connection 'enp2s0'
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> monitoring kernel firmware directory '/lib/firmware'.
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> rfkill0: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:15.1/0000:06:00.0/ieee80211/phy0/rfkill0) (driver rt2800pci)
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> WiFi hardware radio set enabled
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> WiFi enabled by radio killswitch; enabled by state file
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> WWAN enabled by radio killswitch; enabled by state file
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> WiMAX enabled by radio killswitch; enabled by state file
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> Networking is enabled by state file
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <warn> failed to allocate link cache: (-10) Operation not supported
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> (enp2s0): carrier is OFF
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> (enp2s0): new Ethernet device (driver: 'r8169' ifindex: 2)
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> (enp2s0): exported as /org/freedesktop/NetworkManager/Devices/0
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> (enp2s0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 31 15:29:26 localhost.localdomain NetworkManager[368]: <info> (enp2s0): bringing up device.
Aug 31 15:29:26 localhost.localdomain systemd[1]: Started Network Manager.
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (enp2s0): preparing device.
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (enp2s0): deactivating device (reason 'managed') [2]
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): using nl80211 for WiFi device control
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): driver supports Access Point (AP) mode
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): new 802.11 WiFi device (driver: 'rt2800pci' ifindex: 3)
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): exported as /org/freedesktop/NetworkManager/Devices/1
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): bringing up device.
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): preparing device.
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): deactivating device (reason 'managed') [2]
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> modem-manager is now available
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> wpa_supplicant started
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1) supports 4 scan SSIDs
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <warn> Trying to remove a non-existant call id.
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): supplicant interface state: starting -> ready
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1): supplicant interface state: ready -> disconnected
Aug 31 15:29:27 localhost.localdomain NetworkManager[368]: <info> (wlo1) supports 4 scan SSIDs
Aug 31 15:29:28 localhost.localdomain NetworkManager[368]: <info> (wlo1): supplicant interface state: disconnected -> inactive


$ # here cable to broadband network is plugged in
$ journalctl -b -u NetworkManager
-- Logs begin at Thu 2013-08-22 15:44:30 BST, end at Sat 2013-08-31 17:31:52 BST. --
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> NetworkManager (version 0.9.8.2-2.fc19) is starting...
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> WEXT support is enabled
Aug 31 17:28:16 localhost.localdomain systemd[1]: Starting Network Manager...
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-enp2s0 ...
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: ifcfg-rh:     read connection 'enp2s0'
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> monitoring kernel firmware directory '/lib/firmware'.
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> rfkill0: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:15.1/0000:06:00.0/ieee80211/phy0/rfkill0) (driver rt2800pci)
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> WiFi hardware radio set enabled
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> WiFi enabled by radio killswitch; enabled by state file
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> WWAN enabled by radio killswitch; enabled by state file
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> WiMAX enabled by radio killswitch; enabled by state file
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> Networking is enabled by state file
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <warn> failed to allocate link cache: (-10) Operation not supported
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> (enp2s0): carrier is OFF
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> (enp2s0): new Ethernet device (driver: 'r8169' ifindex: 2)
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> (enp2s0): exported as /org/freedesktop/NetworkManager/Devices/0
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> (enp2s0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 31 17:28:16 localhost.localdomain NetworkManager[380]: <info> (enp2s0): bringing up device.
Aug 31 17:28:16 localhost.localdomain systemd[1]: Started Network Manager.
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (enp2s0): preparing device.
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (enp2s0): deactivating device (reason 'managed') [2]
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): using nl80211 for WiFi device control
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): driver supports Access Point (AP) mode
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): new 802.11 WiFi device (driver: 'rt2800pci' ifindex: 3)
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): exported as /org/freedesktop/NetworkManager/Devices/1
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): bringing up device.
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): preparing device.
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): deactivating device (reason 'managed') [2]
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> modem-manager is now available
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> wpa_supplicant started
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1) supports 4 scan SSIDs
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <warn> Trying to remove a non-existant call id.
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): supplicant interface state: starting -> ready
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1): supplicant interface state: ready -> disconnected
Aug 31 17:28:17 localhost.localdomain NetworkManager[380]: <info> (wlo1) supports 4 scan SSIDs
Aug 31 17:28:18 localhost.localdomain NetworkManager[380]: <info> (wlo1): supplicant interface state: disconnected -> inactive


note: 
here is menu from network thingum on controlbar@top
enable networking  // checked
enable wifi // checked
enable notifications // checked
connection information // greyed
edit connections
Comment 4 Kevin Fenzi 2013-09-01 12:00:01 EDT
Moving over to NetworkManager for comment...
Comment 5 Jirka Klimes 2014-02-11 08:29:55 EST
Please try Fedora 20. If problems persist we would diagnose, else I incline to close the bug.

Anyway, in XFCE you should be able to control network using nm-applet icon or via nmcli from command line.
Comment 6 Fedora End Of Life 2015-01-09 17:16:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 06:25:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.